Companies
Get related person
GET
https://api.firstleeward.com/v0/companies/:id/related-persons/:personIdRetrieves a related person by ID, including archived persons (isActive is false).
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredCompany identifier
personIdstring<uuid>requiredRelated person identifier
Response
200Related person details
idstring<uuid>requiredUnique related person identifier
companyIdstring<uuid>requiredCompany this person belongs to
fullNamestring | nullrequiredFull name of the person
emailstring<email> | nullrequiredEmail address of the person
statusstringrequiredVerification status
Available options:
NOT_STARTEDIN_REVIEWAPPROVEDREJECTEDisActivebooleanrequiredWhether the related person is still addressable. False when the person has been archived.
createdAtstringrequiredWhen the person was added (ISO 8601)
updatedAtstringrequiredWhen the person was last updated (ISO 8601)
404Response for status 404
Option 1 · CompanyNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · CompanyRelatedPersonNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired